# Get PG Cloud Database Upgrade/Downgrade Price - GetUPgSQLUpgradePrice

## Overview

Get PG Cloud Database Upgrade/Downgrade Price






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUPgSQLUpgradePrice`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.vicloud.vn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **InstanceID** | string | Resource ID |**Yes**|
| **DiskSpace** | int | Disk Space (GB) |**Yes**|
| **MachineType** | string | Machine Configuration Type |**Yes**|
| **InstanceMode** | string | UDB instance mode type, optional values are as follows: "normal": Standard version UDB instance "ha": High-availability version UDB instance. The default is "normal". |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Price** | float | Price difference due to specification adjustment. Accurate to two decimal places. |**Yes**|
| **OriginalPrice** | float | Original price before discount for a limited time |**Yes**|




## Example

### Request Example
    
```
https://api.vicloud.vn/?Action=GetUPgSQLUpgradePrice
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=VyPaSqIe
&InstanceID=XzNPXGsq
&DiskSpace=7
&MachineType=NJzpcUTG
&InstanceMode=nuTkmxdi
```

### Response Example
    
```json
{
  "Action": "GetUPgSQLUpgradePriceResponse",
  "OriginalPrice": "rjNkLPzQ",
  "Price": 5.87139,
  "RetCode": 0
}
```





